.clock { background-color: darkgreen; color: #fff; position: relative; padding: 4px 8px; font-size: 20px; border-radius: 5px; }
.btn-pink { color: #fff; background-color: hotpink; border-color: inherit; }
.btn-pink:focus, .btn-pink.focus { color: #fff; background-color: deeppink; border-color: inherit; }
.btn-pink:hover { color: #fff; background-color: deeppink; border-color: inherit; }
.btn-pink:active, .btn-pink.active,
.open > .btn-pink.dropdown-toggle {
    color: #fff; background-color: deeppink; border-color: inherit; }
.btn-pink:active:hover, .btn-pink:active:focus, .btn-pink:active.focus, .btn-pink.active:hover, .btn-pink.active:focus, .btn-pink.active.focus,
.open > .btn-pink.dropdown-toggle:hover, .open > .btn-pink.dropdown-toggle:focus, .open > .btn-pink.dropdown-toggle.focus {
    color: #fff;background-color: deeppink;border-color: inherit; }
.btn-pink:active, .btn-pink.active, .open > .btn-pink.dropdown-toggle { background-image: none; }
.btn-pink.disabled:hover, .btn-pink.disabled:focus, .btn-pink.disabled.focus, .btn-pink[disabled]:hover, .btn-pink[disabled]:focus, .btn-pink[disabled].focus,
fieldset[disabled] .btn-pink:hover, fieldset[disabled] .btn-pink:focus, fieldset[disabled] .btn-pink.focus { background-color: #6699cc;border-color: #6699cc; }
.btn-pink .badge {color: #6699cc;background-color: deeppink; }
.text-bold{ font-weight: bold !important;}
.ta-left{ text-align: left !important;}
.ta-right{ text-align: right !important;}
/* recall alert design */
.position-relative { position: relative; }
.badge-count { position: absolute; top: -11px; right: -5px; background: #ff6666; color: #fff; font-size: 8px; height: 17px;
    min-width: 17px; padding: 0 4px; border-radius: 50%; font-weight: bold; display: flex; justify-content: center; align-items: center;
}
/* recall alert design end */
/* calendar schedule css */
.fc-center h2 { font-size: 22px; }
#doctor_calendar .fc-day {position: relative;cursor: pointer;z-index: 1;}
#doctor_calendar .fc-content {pointer-events: none !important;}
#doctor_calendar .fc-day.selected-day {background: #b9d9ff;}
#doctor_calendar .fc-day, #doctor_calendar .fc-day-top, #doctor_calendar .fc-content-skeleton td {cursor: pointer !important;pointer-events: auto !important;z-index: 5; }
#doctor_calendar .fc-content-skeleton, #doctor_calendar .fc-content-skeleton td, #doctor_calendar .fc-content-skeleton td i {pointer-events: none !important; }
.fc-time-grid-event {min-height: 15px !important;padding: 2px 4px !important;line-height: 1.2 !important;white-space: normal !important;border: 1px solid rgb(5, 45, 105);width: 40%; }
.fc-title{font-size: 12px !important; }

.tabs-schedule { display: flex; height: auto; /* Adjust as needed */ border-radius: 8px; overflow: hidden; box-shadow: 0 4px 10px rgba(0,0,0,0.1); font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; }
.tab-buttons-schedule {display: flex;width: 170px;flex-direction: column; background: #EEEEEE;transition: all 0.3s; }
.tab-buttons-schedule button { padding: 8px 8px; font-size: 12px; border: none; outline: none; background: transparent; color: black; text-align: left; cursor: pointer; transition: background 0.3s, color 0.3s; border-left: 4px solid transparent; }
.tab-buttons-schedule button:hover { background: grey; }
.tab-buttons-schedule button.active { background: mediumseagreen; color: #fff; border-left: 4px solid rgb(35, 110, 69); font-weight: bold; }
.tab-content-schedule { flex: 1; padding: 10px; background: #fff; display: none; overflow-y: auto; border-left: 1px solid #ddd; }
.tab-content-schedule.active { display: block; }
.tab-buttons-schedule button, .tab-content-schedule { transition: all 0.3s ease; }
/* calendar schedule css end */
.font-17{ font-size: 17px; }
.mb-10{ margin-bottom: 10px !important; }
.mb-21{ margin-bottom: 21px !important; }
.mb-5{ margin-bottom: 5px !important; }
.mb-10{ margin-bottom: 10px !important; }
.mb-5{ margin-bottom: 5px !important; }
.mb-3{ margin-bottom: 3px !important; }
.mt-3{ margin-top: 3px !important; }
.mt-5{ margin-top: 5px !important; }
.mt-10{ margin-top: 10px !important; }
.mt-20{ margin-top: 20px !important; }
.d-print { visibility: hidden !important; }
.print-only { display: none; }
/* Display when printing */
@media print {
    .d-print {
        visibility: visible !important;
    }
    .d-print-none {
        display: none !important;
    }
    .v-print {
        visibility: hidden !important;
    }
    .print-only {
        display: block !important;
    }
}
:focus:not(:focus-visible), button:focus:not(:focus-visible), .btn:focus:not(:focus-visible) {
    outline: none;
    box-shadow: none;
}
